//-------------------------------------------------------//
// Author:Rodolfo Machon
// Company:WebSoft, SA de CV 
// Nombre del archivo: inmuebles_comm.js
// Created: 2016-08-12
// Updates: 2016-08-12;2022-04-04
// Copyright - All Rights Reserved
//-------------------------------------------------------//
//-------------------------------------------------------//
var OpenWindows = new Object();
//-------------------------------------------------------//
window.onload = function(){

};
//-------------------------------------------------------//
//LEVEL 1
function Go() {
    var len   = document.linkf.pago.length;
    for (var a=0;a<len;a++) {
            if (document.linkf.pago[a].checked) {
                value = document.linkf.pago[a].value;
            }
    }    
    var id_field = value;
    var id = document.getElementById(id_field).value;
    if(id==""){
        alert("Favor Ingrese el ID de busqueda");
        return;
    }
    getExpedienteId(id_field,id,"agua");
}
//-------------------------------------------------------//
//LEVEL 2
function LoadFrame(){
    if(document.linkf.i8_agua_id.value!=""){
        parent.list.OpenFrame('VerRegistro','REPT,aguas');
    }
}
function openExpedienteObservaciones(id){
    var winame 	= "ExpedienteObservaciones";
	if (!OpenWindows[winame] || OpenWindows[winame].closed){
		OpenWindows[winame]= window.open("../pl/expediente.observaciones.rept.pl?clase=agua&i8_expediente_id="+id,"ExpedienteObservacionesRept","left=150,top=100,width=900,height=600,scrollbars=1,toolbar=0,menubar=0,resizable=1,location=0,status=0");
	}else{OpenWindows[winame].focus();}
}
//-------------------------------------------------------//
//AUXILIAR
function getExpedienteId(id_field,id,clase){
    //alert(id_field+"="+id);
	var r = new XMLHttpRequest();
	r.open("GET",'../pl/expedienteId.get.pl?id_field='+id_field+'&id='+id+'&clase='+clase, true);
	r.onreadystatechange = function () {
		if (r.readyState != 4 || r.status != 200) return;
        //alert(r.responseText);
        document.linkf.i8_agua_id.value=r.responseText;
        parent.list.GetOptions();
        LoadFrame();
        //openExpedienteObservaciones(r.responseText);
	};
	r.send();
}